Page 2 of 2 FirstFirst 12
Results 11 to 16 of 16

Thread: LXDE 'upgrades' in Knoppix 6.2.1 Using Synaptic

  1. #11
    Senior Member registered user
    Join Date
    May 2006
    Location
    Columbia, Maryland USA
    Posts
    1,631
    At last.

    lxpanel was the missing ingredient to make 'Applications' work
    in PCManFM, the upgrade.

    I opened up my repo selections to include everything including
    the kitchen sink. Found one 'lx...' entry waiting to be discovered
    as available for 'upgrade'.

    lxpanel, the upgrade, gives a marvelously interesting and complete
    display of LXDE application categories. Applications/Desktop Settings
    would be a lovely home for kl522's Desktop Preferences command,
    mentioned in his post #7 on the thread 'Comments on upgrading PCManFM'.

    I think PCMan tries to do too much with PCManFM. It is also a
    desktop manager, masquerading as a mere file mangager.

  2. #12

    problems with synaptic

    Hi: I have this problem, when ii tray to update the packets from internet i was have this message:
    E: Dynamic MMap ran out of room. Please increase the size of APT::Cache-Limit. Current value: 25165824. (man 5 apt.conf)
    E: Ocurrió un error mientras se procesaba icedove-gnome-support (NewVersion1)
    E: Problem with MergeList /var/lib/dpkg/status
    E: Las listas de paquetes o el archivo de estado no se pueden analizar sintácticamente o abrir.

    I have knoppix 6.2 installed in the HD from a cd , and i install this in spanish.
    Sorry if i put same batdly but english is no my espertice. I fron Argentina.
    Thank you
    Last edited by Harry Kuhman; 12-13-2010 at 11:26 AM. Reason: too loud

  3. #13
    Moderator Moderator
    Join Date
    Nov 2010
    Location
    Germany/ Dietzenbach
    Posts
    1,124
    ... if you don't have '/etc/apt/apt.conf' make a copy of '/usr/share/doc/apt/examples/apt.conf'

    At the end of '/etc/apt/apt.conf' write this line
    APT::Cache-Limit "50000000";

  4. #14
    Senior Member registered user
    Join Date
    May 2006
    Location
    Columbia, Maryland USA
    Posts
    1,631
    @franciscoklf

    I have not run into this problem myself.

    I am using Knoppix 6.2.1 installed from CD to a 2Gb USB card, with 1.1 Gb persistent.
    My Synaptic uses default parameters except for repositories; I use only two, the 'stable'
    ones, except for a few programs like LXDE, its lx-helpers, and flash.
    I don't find _any_ apt.conf, as such, on my 6.2.1 setup.

    FWIW, I don't attempt any massive upgrades with _all_ repos active.
    I do comprehensive upgrades using the two stable repos with no problems.

    In your Knoppix 6.2 case, the suggestion to increase the cache limit seems like a good
    first step. If that doesn't work out, you might try Knoppix 6.2.1.
    Beyond that, we probably ought to know more specifics about your pc.

  5. #15
    Moderator Moderator
    Join Date
    Nov 2010
    Location
    Germany/ Dietzenbach
    Posts
    1,124
    ... this problem with "APT::Cache-Limit" also happens in Knoppix 6.2.1

    Greetings Werner ° http://www.wp-schulz.de/rettung.html
    "Persoenliche Knoppix-Rettungs-CD erstellen (Knoppix remaster)"

  6. #16
    Member registered user
    Join Date
    Apr 2009
    Location
    Christchurch, New Zealand
    Posts
    34
    Thanks Werner Your fix in post #13 works a treat with Knoppix 6.3 dvd hard drive install too. So simple when someone shows you how! I'd never have found it in a month of Sundays on my own. Best wishes, John

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •